{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "ADR_ORDRE"; 
            externalType = NUMBER; 
            name = adrOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "SITU_COMMENTAIRE"; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1000; 
        }, 
        {
            columnName = "C_STRUCTURE"; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "D_DEB_SITUATION"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_SITUATION"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DEN_QUOT_SITUATION"; 
            externalType = NUMBER; 
            name = denQuotite; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NUM_QUOT_SITUATION"; 
            externalType = NUMBER; 
            name = numQuotite; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "SITU_ORDRE"; 
            externalType = NUMBER; 
            name = situOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (situOrdre, temValide); 
    className = "org.cocktail.connecteur.serveur.modele.entite_destination.EOMangueSituation"; 
    classProperties = (
        adresse, 
        commentaire, 
        dateDebut, 
        dateFin, 
        dCreation, 
        denQuotite, 
        dModification, 
        individu, 
        numQuotite, 
        structure, 
        temValide
    ); 
    externalName = "MANGUE.SITUATION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            adrOrdre, 
            commentaire, 
            cStructure, 
            dateDebut, 
            dateFin, 
            dCreation, 
            dModification, 
            structure, 
            temValide
        ); 
    }; 
    name = MangueSituation; 
    primaryKeyAttributes = (situOrdre); 
    relationships = (
        {
            destination = GrhumAdresse; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = adrOrdre; sourceAttribute = adrOrdre; }); 
            name = adresse; 
        }, 
        {
            destination = GrhumIndividu; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = individu; 
        }, 
        {
            destination = GrhumStructure; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = structure; 
        }
    ); 
    userInfo = {
        "_EntityModeler" = {parentClassName = ObjetSIDestinatairePourPeriodeEtIndividu; }; 
    }; 
}
